package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MachineBean {


        /**
         * id : 19
         * createDateTime : 1585721647000
         * updateDateTime : 1587460675000
         * continuousCasterCode : lzj111
         * continuousCasterName : 连铸机01
         * steelmakingWorksCode : lgc1
         * steelmakingWorksName : 炼钢厂1
         * continuousCasterType : 铸机类型11
         * fractureSurface : 断面1
         * steelGrade : 钢种1
         * castingSpeed : 拉速1
         * ladleCode : zjb1
         * ladleCoveringAgentCode : zjbfgj1
         * mouldFluxesCode : jjbhz1
         * productsCode : 7301050001B
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : null
         * updateUserId : 398c852b38e911ea8334fa163e1166bd
         * updateUserName : hello
         * remark : null
         * delete : null
         */

        private String id;
        private long createDateTime;
        private long updateDateTime;
        private String continuousCasterCode;
        private String continuousCasterName;
        private String steelmakingWorksCode;
        private String steelmakingWorksName;
        private String continuousCasterType;
        private String fractureSurface;
        private String steelGrade;
        private String castingSpeed;
        private String ladleCode;
        private String ladleCoveringAgentCode;
        private String mouldFluxesCode;
        private String productsCode;
        private String createUserId;
        private Object createUserName;
        private String updateUserId;
        private String updateUserName;
        private Object remark;
        private Object delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getContinuousCasterCode() {
            return continuousCasterCode;
        }

        public void setContinuousCasterCode(String continuousCasterCode) {
            this.continuousCasterCode = continuousCasterCode;
        }

        public String getContinuousCasterName() {
            return continuousCasterName;
        }

        public void setContinuousCasterName(String continuousCasterName) {
            this.continuousCasterName = continuousCasterName;
        }

        public String getSteelmakingWorksCode() {
            return steelmakingWorksCode;
        }

        public void setSteelmakingWorksCode(String steelmakingWorksCode) {
            this.steelmakingWorksCode = steelmakingWorksCode;
        }

        public String getSteelmakingWorksName() {
            return steelmakingWorksName;
        }

        public void setSteelmakingWorksName(String steelmakingWorksName) {
            this.steelmakingWorksName = steelmakingWorksName;
        }

        public String getContinuousCasterType() {
            return continuousCasterType;
        }

        public void setContinuousCasterType(String continuousCasterType) {
            this.continuousCasterType = continuousCasterType;
        }

        public String getFractureSurface() {
            return fractureSurface;
        }

        public void setFractureSurface(String fractureSurface) {
            this.fractureSurface = fractureSurface;
        }

        public String getSteelGrade() {
            return steelGrade;
        }

        public void setSteelGrade(String steelGrade) {
            this.steelGrade = steelGrade;
        }

        public String getCastingSpeed() {
            return castingSpeed;
        }

        public void setCastingSpeed(String castingSpeed) {
            this.castingSpeed = castingSpeed;
        }

        public String getLadleCode() {
            return ladleCode;
        }

        public void setLadleCode(String ladleCode) {
            this.ladleCode = ladleCode;
        }

        public String getLadleCoveringAgentCode() {
            return ladleCoveringAgentCode;
        }

        public void setLadleCoveringAgentCode(String ladleCoveringAgentCode) {
            this.ladleCoveringAgentCode = ladleCoveringAgentCode;
        }

        public String getMouldFluxesCode() {
            return mouldFluxesCode;
        }

        public void setMouldFluxesCode(String mouldFluxesCode) {
            this.mouldFluxesCode = mouldFluxesCode;
        }

        public String getProductsCode() {
            return productsCode;
        }

        public void setProductsCode(String productsCode) {
            this.productsCode = productsCode;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public Object getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(Object createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public String getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(String updateUserName) {
            this.updateUserName = updateUserName;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public Object getDelete() {
            return delete;
        }

        public void setDelete(Object delete) {
            this.delete = delete;
        }
}
